curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"results": [
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"change_type": "add_job_description",
"change_status": "suggested",
"change_data": {
"job_id": "72d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..."
},
"context": {
"instructions": "Please update the Job description to be more inclusive and highlight remote work opportunities",
"reference_job_ids": [
"5cbdbdbe-5f44-4423-8157-5fgqsef7b834c"
],
"sections_to_include": [
"Summary",
"Responsibilities",
"Qualifications"
],
"use_internal_job_data": true
}
},
{
"external_id": "22d2c013-ab77-410e-b5fb-2f96eed9c1db",
"change_type": "add_job_description",
"change_status": "saved",
"change_data": {
"job_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_description": "The Customer Service Representative is responsible for providing exceptional support to customers by addressing inquiries, resolving complaints, and ensuring overall customer satisfaction...",
"job_description_id": "123e4567-e89b-12d3-a456-426614174000"
},
"context": {
"instructions": null,
"reference_job_ids": [
"62d2c013-ab77-410e-b5fb-2f96eed9c1db"
],
"sections_to_include": [
"Summary",
"Responsibilities"
],
"use_internal_job_data": false
}
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Job Architecture Changes
Get a list of Job architecture changes with optional filtering by Job IDs.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
1 <= x <= 20050
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0Filter the changes by Job External IDs. This parameter can be added multiple times to include more Jobs.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+Additional data to include in the response. Use 'context' to include context information for each change.
context Response
OK
Total number of Job architecture changes.
x >= 02
Subset of Job changes starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"change_type": "add_job_description",
"change_status": "suggested",
"change_data": {
"job_id": "72d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..."
},
"context": {
"instructions": "Please update the Job description to be more inclusive and highlight remote work opportunities",
"reference_job_ids": ["5cbdbdbe-5f44-4423-8157-5fgqsef7b834c"],
"sections_to_include": [
"Summary",
"Responsibilities",
"Qualifications"
],
"use_internal_job_data": true
}
},
{
"external_id": "22d2c013-ab77-410e-b5fb-2f96eed9c1db",
"change_type": "add_job_description",
"change_status": "saved",
"change_data": {
"job_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_description": "The Customer Service Representative is responsible for providing exceptional support to customers by addressing inquiries, resolving complaints, and ensuring overall customer satisfaction...",
"job_description_id": "123e4567-e89b-12d3-a456-426614174000"
},
"context": {
"instructions": null,
"reference_job_ids": ["62d2c013-ab77-410e-b5fb-2f96eed9c1db"],
"sections_to_include": ["Summary", "Responsibilities"],
"use_internal_job_data": false
}
}
]
Was this page helpful?